
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: processType.addInput) {
        return request('/api/process/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: processType.delInput) {
        return request(`/api/process/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: processType.updateInput) {
        return request('/api/process/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/process/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: processType.queryParms) {
        return request('/api/process/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: processType.queryPage) {
        return request('/api/process/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    // 下拉
    Selectlist() {
        return request('/api/process/selectlist', {
            method: 'GET'
        }
        )
    }

}

